Subject: Re: bug#25482: 26.0.50; Allow setting `query-replace-from-to-separator` to nil

From: Thierry Volpiatto <[email-masked]>
Date: Sat, 28 Jan 2017 17:46:29 +0100

Eli Zaretskii <[email-masked]> writes:

>> From: Thierry Volpiatto <[email-masked]>
>> Cc: [email-masked]
>> Date: Sat, 28 Jan 2017 12:23:54 +0100
>> 
>> > Yes, the external packages need to adapt to this, if they want to use
>> > the internal features.  I don't think this can be avoided in general.
>> 
>> What can be avoided is writing complex code when simple code can be used
>> for the same result.
>
> Maybe so, but that ship has sailed more than 2 years ago, and was
> preceded by a long discussion.  I didn't read all of it now, but
> AFAIU, the reason for using a character with a display property was to
> make the separator not editable when the user edits the history.

Ok, I understand, don't think many people are editing history file and
people doing so, I guess known what they are doing.

> So that design decision and the resulting code we have now had some
> justification, and any replacement will have to support the same
> features, which I think a simple string will not do.

Ok, thanks for explanation, perhaps you can close this bug.

-- 
Thierry